﻿<Window x:Class="_17_WPF.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:_17_WPF"
        mc:Ignorable="d"
        Title="Annuaire" Height="450" Width="800" ResizeMode="CanMinimize" Icon="/icon dawan.ico">
    <Grid>
        <DataGrid x:Name="ContactGrid" AutoGenerateColumns="False" HorizontalAlignment="Center" Height="280" Margin="0,39,0,0" VerticalAlignment="Top" Width="730" d:ItemsSource="{d:SampleData ItemCount=5}" SelectionMode="Single">
            <DataGrid.Columns>
                <DataGridTextColumn Width="2*" Header="Prénom" Binding="{Binding Prenom}" IsReadOnly="True" />
                <DataGridTextColumn Width="2*" Header="Nom" Binding="{Binding Nom}"  IsReadOnly="True"/>
                <DataGridTextColumn Width="3*" Header="Email" Binding="{Binding Email}" IsReadOnly="True" />
                <DataGridTextColumn Width="2*" Header="Date de naissance" Binding="{Binding DateNaissance, StringFormat={}{0:dd/MM/yyyy}}" IsReadOnly="True" />
            </DataGrid.Columns>
        </DataGrid>
        <Button x:Name="BpAjouter" Content="Ajouter" HorizontalAlignment="Left" Height="45" Margin="40,354,0,0" VerticalAlignment="Top" Width="155" Click="OnClickBpAjouter"/>
        <Button x:Name="BpSupprimer" Content="Supprimer" HorizontalAlignment="Left" Height="45" Margin="230,354,0,0" VerticalAlignment="Top" Width="155" Click="OnClickBpSupprimer"/>
        <Button x:Name="BpModifier" Content="Modifier" HorizontalAlignment="Left" Height="45" Margin="423,354,0,0" VerticalAlignment="Top" Width="156" Click="OnClickBpModifier"/>
        <Button x:Name="BpQuitter" Content="Quitter" HorizontalAlignment="Left" Height="45" Margin="610,354,0,0" VerticalAlignment="Top" Width="155" Click="OnClickBpQuitter"/>

    </Grid>
</Window>
